## iproute 961225-2

=== Makefile ===
.PHONY: all install clean

INSTALL		= /usr/bin/install
DESTDIR		=
CFLAGS		= -O2 -fomit-frame-pointer -I/usr/src/linux/include
CC		= gcc

all: iproute

install: iproute
	$(INSTALL) iproute $(DESTDIR)/sbin

clean:
	rm -f iproute iproute.c iproute.o

iproute: iproute.o

iproute.c: iproute-2.1.17-delta-x.c.gz
	zcat $< >$@

=== debian/changelog ===
iproute (961225-2) unstable frozen; urgency=low

  * Added a man page for iproute. (Fixes #8080).
  * Removed out-of-date patches.
  * Added routing.txt from /usr/src/linux/Documentation/networking/routing.txt
  * Newer version of debmake.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 17 Apr 1997 17:00:36 +0100

iproute (961225-1) unstable; urgency=low

  * Initial Release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Mon, 30 Dec 1996 11:12:23 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: iproute
Section: net
Priority: extra
Maintainer: Tom Lees <tom@lpsg.demon.co.uk>
Standards-Version: 2.1.2.2

Package: iproute
Architecture: i386
Depends: ${shlibs:Depends}
Description: Utility to control the policy-based routing in 2.1 kernels
 This package contains the `iproute' utility, for controlling the policy-based
 routing support found in newer 2.1 kernels, plus the `delta' patches against
 the 2.1.17 kernel (which are installed in /usr/doc/net).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=iproute

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	cp debian/routing.txt debian/policy-routing.txt debian/tmp/usr/doc/iproute
	cp debian/iproute.8 debian/tmp/usr/man/man8
	cd debian; lver="`sed -ne 's/^.*UTS_RELEASE "\([0-9\.]*\)"/\1/gp' \
		< /usr/src/linux/include/linux/version.h`"; \
		sed "s/@LVER@/$lver/g" < README.debian.src > README.debian
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## iproute 980630

=== Makefile ===
# Path to parent kernel include files directory (default /usr/include)
#KERNEL_INCLUDE=
#KERNEL_INCLUDE=/net/bh/var/src/vger/dist/linux/include
KERNEL_INCLUDE=/net/bh/home/root/vger-mirror/linux/include

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options if you compile with libc5, and without a bind>=4.9.4 libresolv
#LDLIBS=
#ADDLIB=inet_ntop.o inet_pton.o

CC=gcc
CFLAGS=-O2 -g -I$(KERNEL_INCLUDE) -I../include

LDLIBS += -L../lib -lnetlink -lutil

SUBDIRS=lib ip tc

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a

all: check-kernel
	@set -e; \
	for i in $(SUBDIRS); \
	do $(MAKE) -C $$i; done

check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

clean:
	for i in $(SUBDIRS); \
	do $(MAKE) -C $$i clean; done

.EXPORT_ALL_VARIABLES:

=== ip/Makefile ===
IPOBJ=ip.o ifaconf.o iproute.o iprule.o \
    rtm_map.o iptunnel.o ipneigh.o iplink.o \
    ipmonitor.o

RTMONOBJ=rtmon.o

ALLOBJ=$(IPOBJ) $(ADDOBJ) $(RTOBJ)

all: ip rtmon

ip: $(IPOBJ) $(LIBNETLINK) $(LIBUTIL)

rtmon: $(RTMONOBJ) $(LIBNETLINK)

clean:
	rm -f $(IPOBJ) $(RTMONOBJ) ip rtmon

=== lib/Makefile ===

UTILOBJ=utils.o 

NLOBJ=ll_map.o libnetlink.o

all: libnetlink.a libutil.a

libnetlink.a: $(NLOBJ)
	ar rcs $@ $(NLOBJ)

libutil.a: $(UTILOBJ) $(ADDLIB)
	ar rcs $@ $(UTILOBJ) $(ADDLIB)

clean:
	rm -f $(NLOBJ) $(UTILOBJ) $(ADDLIB) libnetlink.a libutil.a

=== tc/Makefile ===
TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o

TCMODULES :=
TCMODULES += q_fifo.o
TCMODULES += q_sfq.o
TCMODULES += q_red.o
TCMODULES += q_prio.o
TCMODULES += q_tbf.o
TCMODULES += q_cbq.o
TCMODULES += f_rsvp.o
TCMODULES += f_u32.o
#TCMODULES += q_csz.o
#TCMODULES += q_hpfq.o
#TCMODULES += q_hfsc.o

TCOBJ += $(TCMODULES)

TCLIB := tc_core.o
TCLIB += tc_red.o
TCLIB += tc_cbq.o
TCLIB += tc_estimator.o

LDLIBS += -L. -ltc -lm -ldl
LDFLAGS += -Wl,-export-dynamic

all: libtc.a tc

tc: $(TCOBJ) $(LIBNETLINK) $(LIBUTIL) $(TCLIB)

libtc.a: $(TCLIB)
	ar rcs $@ $(TCLIB)

clean:
	rm -f $(TCOBJ) $(TCLIB) tc

## iproute 991023

=== Makefile ===
# Path to parent kernel include files directory (default /usr/include)
#KERNEL_INCLUDE=
#KERNEL_INCLUDE=/net/minus/home/src/BH/vger3/vger-mirror-softirq/linux/include
#KERNEL_INCLUDE=/home1/root/vger-129/vger-mirror/linux/include
KERNEL_INCLUDE=/usr/src/linux/include

DEFINES= #-DRESOLVE_HOSTNAMES

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options if you compile with libc5, and without a bind>=4.9.4 libresolv
#LDLIBS=
#ADDLIB=inet_ntop.o inet_pton.o

#options for decnet
ADDLIB+=dnet_ntop.o dnet_pton.o

ifeq (/usr/include/socketbits.h,$(wildcard /usr/include/socketbits.h))
  ifeq (/usr/include/net/if_packet.h,$(wildcard /usr/include/net/if_packet.h))
    GLIBCFIX=-I../include-glibc -include ../include-glibc/glibc-bugs.h
  endif
endif
ifeq (/usr/include/bits/socket.h,$(wildcard /usr/include/bits/socket.h))
  GLIBCFIX=-I../include-glibc -include ../include-glibc/glibc-bugs.h
endif

CC=gcc
CFLAGS=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g $(GLIBCFIX) -I$(KERNEL_INCLUDE) -I../include $(DEFINES)

LDLIBS += -L../lib -lnetlink -lutil

SUBDIRS=lib ip tc

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a

all: check-kernel
	@set -e; \
	for i in $(SUBDIRS); \
	do $(MAKE) -C $$i; done

check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, Compile the kernel first"; false; fi
endif

clean:
	for i in $(SUBDIRS) doc; \
	do $(MAKE) -C $$i clean; done

.EXPORT_ALL_VARIABLES:

=== tc/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o
+TCOBJ=tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o m_police.o m_estimator.o
+
+include ../Config
 
 TCMODULES :=
 TCMODULES += q_fifo.o
@@ -9,6 +11,15 @@
 TCMODULES += q_cbq.o
 TCMODULES += f_rsvp.o
 TCMODULES += f_u32.o
+TCMODULES += f_route.o
+TCMODULES += f_fw.o
+ifeq ($(TC_CONFIG_DIFFSERV),y)
+  TCMODULES += q_dsmark.o
+  TCMODULES += q_gred.o
+  TCMODULES += f_tcindex.o
+  TCMODULES += q_ingress.o
+endif
+
 #TCMODULES += q_csz.o
 #TCMODULES += q_hpfq.o
 #TCMODULES += q_hfsc.o
@@ -31,5 +42,5 @@
 	ar rcs $@ $(TCLIB)
 
 clean:
-	rm -f $(TCOBJ) $(TCLIB) tc
+	rm -f $(TCOBJ) $(TCLIB) libtc.a tc

## iproute 20010824

=== Makefile ===
# Path to parent kernel include files directory
KERNEL_INCLUDE=/usr/src/linux/include
LIBC_INCLUDE=/usr/include

DEFINES= -DRESOLVE_HOSTNAMES

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options if you compile with libc5, and without a bind>=4.9.4 libresolv
#LDLIBS=
#ADDLIB=inet_ntop.o inet_pton.o

#options for decnet
ADDLIB+=dnet_ntop.o dnet_pton.o

#options for ipx
ADDLIB+=ipx_ntop.o ipx_pton.o

ifeq ($(LIBC_INCLUDE)/socketbits.h,$(wildcard $(LIBC_INCLUDE)/socketbits.h))
  ifeq ($(LIBC_INCLUDE)/net/if_packet.h,$(wildcard $(LIBC_INCLUDE)/net/if_packet.h))
    GLIBCFIX=-I../include-glibc -include ../include-glibc/glibc-bugs.h
  endif
endif
ifeq ($(LIBC_INCLUDE)/bits/socket.h,$(wildcard $(LIBC_INCLUDE)/bits/socket.h))
  GLIBCFIX=-I../include-glibc -include ../include-glibc/glibc-bugs.h
endif

CC = gcc
CCOPTS = -D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -Werror -g
CFLAGS = $(CCOPTS) $(GLIBCFIX) -I$(KERNEL_INCLUDE) -I../include $(DEFINES)

LDLIBS += -L../lib -lnetlink -lutil

SUBDIRS=lib ip tc

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a

all: check-kernel
	@set -e; \
	for i in $(SUBDIRS); \
	do $(MAKE) -C $$i; done

check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, Compile the kernel first"; false; fi
endif

clean:
	for i in $(SUBDIRS) doc; \
	do $(MAKE) -C $$i clean; done

.EXPORT_ALL_VARIABLES:

=== lib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-UTILOBJ=utils.o 
+UTILOBJ=utils.o rt_names.o ll_types.o ll_proto.o ll_addr.o inet_proto.o
 
 NLOBJ=ll_map.o libnetlink.o

=== tc/Makefile ===
--- 
+++ 
@@ -18,6 +18,10 @@
   TCMODULES += q_gred.o
   TCMODULES += f_tcindex.o
   TCMODULES += q_ingress.o
+endif
+ifeq ($(TC_CONFIG_ATM),y)
+  TCMODULES += q_atm.o
+  LDLIBS += -latm
 endif
 
 #TCMODULES += q_csz.o

## iproute 20041019

=== Makefile ===
DESTDIR=
SBINDIR=/usr/sbin
CONFDIR=/etc/iproute2
DOCDIR=/usr/share/doc/iproute2
MANDIR=/usr/share/man

# Path to db_185.h include
DBM_INCLUDE:=/usr/include

DEFINES= -DRESOLVE_HOSTNAMES

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options for decnet
ADDLIB+=dnet_ntop.o dnet_pton.o

#options for ipx
ADDLIB+=ipx_ntop.o ipx_pton.o

CC = gcc
CCOPTS = -D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g
CFLAGS = $(CCOPTS) -I../include $(DEFINES)

LDLIBS += -L../lib -lnetlink -lutil

SUBDIRS=lib ip tc misc

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a

all: Config
	@for i in $(SUBDIRS); \
	do $(MAKE) $(MFLAGS) -C $$i; done

Config:
	./configure $(KERNEL_INCLUDE)

install: all
	install -m 0755 -d $(DESTDIR)$(SBINDIR)
	install -m 0755 -d $(DESTDIR)$(CONFDIR)
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples/diffserv
	install -m 0644 README.iproute2+tc $(shell find examples -type f -maxdepth 1) \
		$(DESTDIR)$(DOCDIR)/examples
	install -m 0644 $(shell find examples/diffserv -type f -maxdepth 1) \
		$(DESTDIR)$(DOCDIR)/examples/diffserv
	@for i in $(SUBDIRS) doc; do $(MAKE) -C $$i install; done
	install -m 0644 $(shell find etc/iproute2 -type f -maxdepth 1) $(DESTDIR)$(CONFDIR)
	install -m 0755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 0644 $(shell find man/man8 -type f -maxdepth 1) $(DESTDIR)$(MANDIR)/man8
	ln -sf $(MANDIR)/man8/tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-bfifo.8
	ln -sf $(MANDIR)/man8/tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-pfifo.8

clean:
	@for i in $(SUBDIRS) doc; \
	do $(MAKE) $(MFLAGS) -C $$i clean; done

clobber: clean
	rm -f Config

distclean: clean clobber

.EXPORT_ALL_VARIABLES:

=== ip/Makefile ===
IPOBJ=ip.o ipaddress.o iproute.o iprule.o \
    rtm_map.o iptunnel.o ipneigh.o iplink.o \
    ipmaddr.o ipmonitor.o ipmroute.o \
    ipxfrm.o xfrm_state.o xfrm_policy.o

RTMONOBJ=rtmon.o

ALLOBJ=$(IPOBJ) $(RTMONOBJ)
TARGETS=ip rtmon ifcfg rtpr

all: $(TARGETS)

ip: $(IPOBJ) $(LIBNETLINK) $(LIBUTIL)

rtmon: $(RTMONOBJ) $(LIBNETLINK)

install: all
	install -m 0755 -s $(TARGETS) $(DESTDIR)$(SBINDIR)
	install -m 0755 routel routef $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(ALLOBJ) $(TARGETS)

## iproute 20061002

=== Makefile ===
DESTDIR=
SBINDIR=/usr/sbin
CONFDIR=/etc/iproute2
DOCDIR=/usr/share/doc/iproute2
MANDIR=/usr/share/man

# Path to db_185.h include
DBM_INCLUDE:=/usr/include

DEFINES= -DRESOLVE_HOSTNAMES

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options for decnet
ADDLIB+=dnet_ntop.o dnet_pton.o

#options for ipx
ADDLIB+=ipx_ntop.o ipx_pton.o

CC = gcc
HOSTCC = gcc
CCOPTS = -D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall
CFLAGS = $(CCOPTS) -I../include $(DEFINES)
YACCFLAGS = -d -t -v

LDLIBS += -L../lib -lnetlink -lutil

SUBDIRS=lib ip tc misc netem genl

LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a

all: Config
	@for i in $(SUBDIRS); \
	do $(MAKE) $(MFLAGS) -C $$i; done

Config:
	sh configure $(KERNEL_INCLUDE)

install: all
	install -m 0755 -d $(DESTDIR)$(SBINDIR)
	install -m 0755 -d $(DESTDIR)$(CONFDIR)
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples
	install -m 0755 -d $(DESTDIR)$(DOCDIR)/examples/diffserv
	install -m 0644 README.iproute2+tc $(shell find examples -maxdepth 1 -type f) \
		$(DESTDIR)$(DOCDIR)/examples
	install -m 0644 $(shell find examples/diffserv -maxdepth 1 -type f) \
		$(DESTDIR)$(DOCDIR)/examples/diffserv
	@for i in $(SUBDIRS) doc; do $(MAKE) -C $$i install; done
	install -m 0644 $(shell find etc/iproute2 -maxdepth 1 -type f) $(DESTDIR)$(CONFDIR)
	install -m 0755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 0644 $(shell find man/man8 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man8
	ln -sf tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-bfifo.8
	ln -sf tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-pfifo.8
	install -m 0755 -d $(DESTDIR)$(MANDIR)/man3
	install -m 0644 $(shell find man/man3 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man3

clean:
	rm -f cscope.*
	@for i in $(SUBDIRS) doc; \
	do $(MAKE) $(MFLAGS) -C $$i clean; done

clobber: clean
	rm -f Config

distclean: clobber

cscope:
	cscope -b -q -R -Iinclude -sip -slib -smisc -snetem -stc

.EXPORT_ALL_VARIABLES:

## iproute 20070313

=== doc/Makefile ===
PSFILES=ip-cref.ps ip-tunnels.ps api-ip6-flowlabels.ps ss.ps nstat.ps arpd.ps rtstat.ps
# tc-cref.ps
# api-rtnl.tex api-pmtudisc.tex api-news.tex
# iki-netdev.ps iki-neighdst.ps


LATEX=latex
DVIPS=dvips
SGML2DVI=sgml2latex --output=dvi
SGML2HTML=sgml2html -s 0
LPR=lpr -Zsduplex
SHELL=bash
PAGESIZE=a4
PAGESPERPAGE=2

HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
TXTFILES=$(subst .sgml,.txt,$(shell echo *.sgml))
DVIFILES=$(subst .ps,.dvi,$(PSFILES))


all: pstwocol

pstwocol: $(PSFILES)

html: $(HTMLFILES)

dvi: $(DVIFILES)

txt: $(TXTFILES)

print: $(PSFILES)
	$(LPR) $(PSFILES)

%.dvi: %.sgml
	$(SGML2DVI) $<

%.dvi: %.tex
	@set -e; pass=2; echo "Running LaTeX $<"; \
	while [ `$(LATEX) $< </dev/null 2>&1 | \
		 grep -c '^\(LaTeX Warning: Label(s) may\|No file \|! Emergency stop\)'` -ge 1 ]; do \
		if [ $$pass -gt 3 ]; then \
			echo "Seems, something is wrong. Try by hands." ; exit 1 ; \
		fi; \
		echo "Re-running LaTeX $<, $${pass}d pass"; pass=$$[$$pass + 1]; \
	done

%.ps: %.dvi
	$(DVIPS) $< -o $@

%.html: %.sgml
	$(SGML2HTML) $<

%.txt: %.html
	lynx -nolist -dump $< > $@
		

install:
	install -m 0644 $(shell echo *.tex) $(DESTDIR)$(DOCDIR)
	install -m 0644 $(shell echo *.sgml) $(DESTDIR)$(DOCDIR)

clean:
	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html $(TXTFILES)

=== misc/Makefile ===
SSOBJ=ss.o ssfilter.o
LNSTATOBJ=lnstat.o lnstat_util.o

#TARGETS=ss nstat ifstat rtacct arpd lnstat
TARGETS=ss nstat rtacct lnstat arpd

include ../Config

all: $(TARGETS)

ss: $(SSOBJ) $(LIBUTIL)

nstat: nstat.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o nstat nstat.c -lm

ifstat: ifstat.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o ifstat ifstat.c $(LIBNETLINK) -lm

rtacct: rtacct.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o rtacct rtacct.c $(LIBNETLINK) -lm

arpd: arpd.c
	$(CC) $(CFLAGS) -I$(DBM_INCLUDE) $(LDFLAGS) -o arpd arpd.c $(LIBNETLINK) -ldb -lpthread

ssfilter.c: ssfilter.y
	bison ssfilter.y -o ssfilter.c

lnstat: $(LNSTATOBJ)

install: all
	install -m 0755 -s $(TARGETS) $(DESTDIR)$(SBINDIR)
	ln -sf lnstat $(DESTDIR)$(SBINDIR)/rtstat
	ln -sf lnstat $(DESTDIR)$(SBINDIR)/ctstat

clean:
	rm -f *.o $(TARGETS) ssfilter.c

## iproute 20071016

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,8 @@
 LIBNETLINK=../lib/libnetlink.a ../lib/libutil.a
 
 all: Config
-	@for i in $(SUBDIRS); \
+	@set -e; \
+	for i in $(SUBDIRS); \
 	do $(MAKE) $(MFLAGS) -C $$i; done
 
 Config:
@@ -51,8 +52,10 @@
 	install -m 0644 $(shell find etc/iproute2 -maxdepth 1 -type f) $(DESTDIR)$(CONFDIR)
 	install -m 0755 -d $(DESTDIR)$(MANDIR)/man8
 	install -m 0644 $(shell find man/man8 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man8
-	ln -sf tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-bfifo.8
-	ln -sf tc-pbfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-pfifo.8
+	ln -sf tc-bfifo.8  $(DESTDIR)$(MANDIR)/man8/tc-pfifo.8
+	ln -sf lnstat.8  $(DESTDIR)$(MANDIR)/man8/rtstat.8
+	ln -sf lnstat.8  $(DESTDIR)$(MANDIR)/man8/ctstat.8
+	ln -sf rtacct.8  $(DESTDIR)$(MANDIR)/man8/nstat.8
 	install -m 0755 -d $(DESTDIR)$(MANDIR)/man3
 	install -m 0644 $(shell find man/man3 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man3

=== doc/Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 PAGESPERPAGE=2
 
 HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
-TXTFILES=$(subst .sgml,.txt,$(shell echo *.sgml))
 DVIFILES=$(subst .ps,.dvi,$(PSFILES))
 
 
@@ -25,8 +24,6 @@
 html: $(HTMLFILES)
 
 dvi: $(DVIFILES)
-
-txt: $(TXTFILES)
 
 print: $(PSFILES)
 	$(LPR) $(PSFILES)
@@ -50,13 +47,9 @@
 %.html: %.sgml
 	$(SGML2HTML) $<
 
-%.txt: %.html
-	lynx -nolist -dump $< > $@
-		
-
 install:
 	install -m 0644 $(shell echo *.tex) $(DESTDIR)$(DOCDIR)
 	install -m 0644 $(shell echo *.sgml) $(DESTDIR)$(DOCDIR)
 
 clean:
-	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html $(TXTFILES)
+	rm -f *.aux *.log *.toc $(PSFILES) $(DVIFILES) *.html

=== genl/Makefile ===
GENLOBJ=genl.o

include ../Config

GENLMODULES :=
GENLMODULES += ctrl.o

GENLOBJ += $(GENLMODULES)

GENLLIB :=

LDFLAGS += -Wl,-export-dynamic
LDLIBS  += -lm -ldl

all: genl

genl: $(GENLOBJ) $(LIBNETLINK) $(LIBUTIL) $(GENLLIB)

install: all
	install -m 0755 genl $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(GENLOBJ) $(GENLLIB) genl

=== ip/Makefile ===
IPOBJ=ip.o ipaddress.o iproute.o iprule.o \
    rtm_map.o iptunnel.o ip6tunnel.o tunnel.o ipneigh.o ipntable.o iplink.o \
    ipmaddr.o ipmonitor.o ipmroute.o ipprefix.o \
    ipxfrm.o xfrm_state.o xfrm_policy.o xfrm_monitor.o \
    iplink_vlan.o link_veth.o

RTMONOBJ=rtmon.o

ALLOBJ=$(IPOBJ) $(RTMONOBJ)
SCRIPTS=ifcfg rtpr routel routef
TARGETS=ip rtmon

all: $(TARGETS) $(SCRIPTS) $(LIBS)

ip: $(IPOBJ) $(LIBNETLINK) $(LIBUTIL)

rtmon: $(RTMONOBJ) $(LIBNETLINK)

install: all
	install -m 0755 -s $(TARGETS) $(DESTDIR)$(SBINDIR)
	install -m 0755 $(SCRIPTS) $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(ALLOBJ) $(TARGETS)

LDLIBS += -ldl

=== lib/Makefile ===
--- 
+++ 
@@ -6,10 +6,12 @@
 all: libnetlink.a libutil.a
 
 libnetlink.a: $(NLOBJ)
-	ar rcs $@ $(NLOBJ)
+	$(AR) rcs $@ $(NLOBJ)
 
 libutil.a: $(UTILOBJ) $(ADDLIB)
-	ar rcs $@ $(UTILOBJ) $(ADDLIB)
+	$(AR) rcs $@ $(UTILOBJ) $(ADDLIB)
+
+install:
 
 clean:
 	rm -f $(NLOBJ) $(UTILOBJ) $(ADDLIB) libnetlink.a libutil.a

=== misc/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 SSOBJ=ss.o ssfilter.o
 LNSTATOBJ=lnstat.o lnstat_util.o
 
-#TARGETS=ss nstat ifstat rtacct arpd lnstat
-TARGETS=ss nstat rtacct lnstat arpd
+TARGETS=ss nstat ifstat rtacct arpd lnstat
 
 include ../Config

=== netem/Makefile ===
DISTGEN = maketable normal pareto paretonormal
DISTDATA = normal.dist pareto.dist paretonormal.dist experimental.dist

HOSTCC ?= $(CC)
LDLIBS += -lm 

all: $(DISTGEN) $(DISTDATA)

$(DISTGEN):
	$(HOSTCC) $(CCOPTS) -I../include -o $@ $@.c -lm

%.dist: %
	./$* > $@

experimental.dist: maketable experimental.dat
	./maketable experimental.dat > experimental.dist

stats: stats.c
	$(HOSTCC) $(CCOPTS) -I../include -o $@ $@.c -lm

install: all
	mkdir -p $(DESTDIR)/usr/lib/tc
	for i in $(DISTDATA); \
	do install -m 755 $$i $(DESTDIR)/usr/lib/tc; \
	done

clean:
	rm -f $(DISTDATA) $(DISTGEN)

=== tc/Makefile ===
TCOBJ= tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o \
       tc_monitor.o m_police.o m_estimator.o m_action.o \
       m_ematch.o emp_ematch.yacc.o emp_ematch.lex.o

include ../Config

TCMODULES :=
TCMODULES += q_fifo.o
TCMODULES += q_sfq.o
TCMODULES += q_red.o
TCMODULES += q_prio.o
TCMODULES += q_tbf.o
TCMODULES += q_cbq.o
TCMODULES += q_netem.o
TCMODULES += f_rsvp.o
TCMODULES += f_u32.o
TCMODULES += f_route.o
TCMODULES += f_fw.o
TCMODULES += f_basic.o
TCMODULES += q_dsmark.o
TCMODULES += q_gred.o
TCMODULES += f_tcindex.o
TCMODULES += q_ingress.o
TCMODULES += q_hfsc.o
TCMODULES += q_htb.o
TCMODULES += m_gact.o
TCMODULES += m_mirred.o
TCMODULES += m_ipt.o
TCMODULES += m_pedit.o
TCMODULES += p_ip.o
TCMODULES += p_icmp.o
TCMODULES += p_tcp.o
TCMODULES += p_udp.o
TCMODULES += em_nbyte.o
TCMODULES += em_cmp.o
TCMODULES += em_u32.o
TCMODULES += em_meta.o

TCOBJ += $(TCMODULES)

TCLIB := tc_core.o
TCLIB += tc_red.o
TCLIB += tc_cbq.o
TCLIB += tc_estimator.o

CFLAGS += -DCONFIG_GACT -DCONFIG_GACT_PROB

TCSO :=
ifeq ($(TC_CONFIG_ATM),y)
  TCSO += q_atm.so
endif

LDLIBS += -L. -ltc -lm -ldl

LDFLAGS += -Wl,-export-dynamic

YACC := bison
LEX := flex

%.so: %.c
	$(CC) $(CFLAGS) -shared -fpic $< -o $@


all: libtc.a tc $(TCSO)

tc: $(TCOBJ) $(LIBNETLINK) $(LIBUTIL) $(TCLIB)

libtc.a: $(TCLIB)
	$(AR) rcs $@ $(TCLIB)

install: all
	mkdir -p $(DESTDIR)/usr/lib/tc
	install -m 0755 -s tc $(DESTDIR)$(SBINDIR)
	for i in $(TCSO); \
	do install -m 755 -s $$i $(DESTDIR)/usr/lib/tc; \
	done

clean:
	rm -f $(TCOBJ) $(TCLIB) libtc.a tc *.so emp_ematch.yacc.h; \
	rm -f emp_ematch.yacc.output

q_atm.so: q_atm.c
	$(CC) $(CFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm

%.yacc.c: %.y
	$(YACC) $(YACCFLAGS) -o $@ $<

%.lex.c: %.l
	$(LEX) $(LEXFLAGS) -o$@ $<

## iproute 20080417

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,10 @@
 	install -m 0755 -d $(DESTDIR)$(MANDIR)/man3
 	install -m 0644 $(shell find man/man3 -maxdepth 1 -type f) $(DESTDIR)$(MANDIR)/man3
 
+snapshot:
+	echo "static const char SNAPSHOT[] = \""`date +%y%m%d`"\";" \
+		> include/SNAPSHOT.h
+
 clean:
 	rm -f cscope.*
 	@for i in $(SUBDIRS) doc; \

=== tc/Makefile ===
--- 
+++ 
@@ -11,12 +11,14 @@
 TCMODULES += q_prio.o
 TCMODULES += q_tbf.o
 TCMODULES += q_cbq.o
+TCMODULES += q_rr.o
 TCMODULES += q_netem.o
 TCMODULES += f_rsvp.o
 TCMODULES += f_u32.o
 TCMODULES += f_route.o
 TCMODULES += f_fw.o
 TCMODULES += f_basic.o
+TCMODULES += f_flow.o
 TCMODULES += q_dsmark.o
 TCMODULES += q_gred.o
 TCMODULES += f_tcindex.o
@@ -26,6 +28,7 @@
 TCMODULES += m_gact.o
 TCMODULES += m_mirred.o
 TCMODULES += m_ipt.o
+TCMODULES += m_nat.o
 TCMODULES += m_pedit.o
 TCMODULES += p_ip.o
 TCMODULES += p_icmp.o
@@ -70,9 +73,9 @@
 
 install: all
 	mkdir -p $(DESTDIR)/usr/lib/tc
-	install -m 0755 -s tc $(DESTDIR)$(SBINDIR)
+	install -m 0755 tc $(DESTDIR)$(SBINDIR)
 	for i in $(TCSO); \
-	do install -m 755 -s $$i $(DESTDIR)/usr/lib/tc; \
+	do install -m 755 $$i $(DESTDIR)/usr/lib/tc; \
 	done
 
 clean:

## iproute 20100519

=== tc/Makefile ===
TCOBJ= tc.o tc_qdisc.o tc_class.o tc_filter.o tc_util.o \
       tc_monitor.o m_police.o m_estimator.o m_action.o \
       m_ematch.o emp_ematch.yacc.o emp_ematch.lex.o

include ../Config
SHARED_LIBS ?= y

TCMODULES :=
TCMODULES += q_fifo.o
TCMODULES += q_sfq.o
TCMODULES += q_red.o
TCMODULES += q_prio.o
TCMODULES += q_tbf.o
TCMODULES += q_cbq.o
TCMODULES += q_rr.o
TCMODULES += q_multiq.o
TCMODULES += q_netem.o
TCMODULES += f_rsvp.o
TCMODULES += f_u32.o
TCMODULES += f_route.o
TCMODULES += f_fw.o
TCMODULES += f_basic.o
TCMODULES += f_flow.o
TCMODULES += f_cgroup.o
TCMODULES += q_dsmark.o
TCMODULES += q_gred.o
TCMODULES += f_tcindex.o
TCMODULES += q_ingress.o
TCMODULES += q_hfsc.o
TCMODULES += q_htb.o
TCMODULES += q_drr.o
TCMODULES += m_gact.o
TCMODULES += m_mirred.o
TCMODULES += m_nat.o
TCMODULES += m_pedit.o
TCMODULES += m_skbedit.o
TCMODULES += p_ip.o
TCMODULES += p_icmp.o
TCMODULES += p_tcp.o
TCMODULES += p_udp.o
TCMODULES += em_nbyte.o
TCMODULES += em_cmp.o
TCMODULES += em_u32.o
TCMODULES += em_meta.o

TCSO :=
ifeq ($(TC_CONFIG_ATM),y)
  TCSO += q_atm.so
endif

ifeq ($(TC_CONFIG_XT),y)
  TCSO += m_xt.so
else
  ifeq ($(TC_CONFIG_XT_OLD),y)
    TCSO += m_xt_old.so
  else
    ifeq ($(TC_CONFIG_XT_OLD_H),y)
	CFLAGS += -DTC_CONFIG_XT_H
	TCSO += m_xt_old.so
    else
      TCMODULES += m_ipt.o
    endif
  endif
endif

TCOBJ += $(TCMODULES)
LDLIBS += -L. -ltc -lm

ifeq ($(SHARED_LIBS),y)
LDLIBS += -ldl
LDFLAGS += -Wl,-export-dynamic
endif

TCLIB := tc_core.o
TCLIB += tc_red.o
TCLIB += tc_cbq.o
TCLIB += tc_estimator.o
TCLIB += tc_stab.o

CFLAGS += -DCONFIG_GACT -DCONFIG_GACT_PROB
ifneq ($(IPT_LIB_DIR),)
	CFLAGS += -DIPT_LIB_DIR=\"$(IPT_LIB_DIR)\"
endif

YACC := bison
LEX := flex

MODDESTDIR := $(DESTDIR)$(patsubst /usr%,%,$(LIBDIR))/tc

%.so: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic $< -o $@


all: libtc.a tc $(TCSO)

tc: $(TCOBJ) $(LIBNETLINK) $(LIBUTIL) $(TCLIB)

libtc.a: $(TCLIB)
	$(AR) rcs $@ $(TCLIB)

install: all
	echo mkdir -p $(MODDESTDIR)
	echo install -m 0755 tc $(DESTDIR)$(SBINDIR)
	for i in $(TCSO); \
	do echo install -m 755 $$i $(MODDESTDIR); \
	done
	if [ ! -f $(MODDESTDIR)/m_ipt.so ]; then \
	if [ -f $(MODDESTDIR)/m_xt.so ]; \
		then ln -s m_xt.so $(MODDESTDIR)/m_ipt.so ; \
	elif [ -f $(MODDESTDIR)/m_xt_old.so ]; \
		then ln -s m_xt_old.so $(MODDESTDIR)/m_ipt.so ; \
	fi; \
	fi

clean:
	rm -f $(TCOBJ) $(TCLIB) libtc.a tc *.so emp_ematch.yacc.h; \
	rm -f emp_ematch.yacc.output

q_atm.so: q_atm.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm

m_xt.so: m_xt.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o m_xt.so m_xt.c -lxtables

m_xt_old.so: m_xt_old.c
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o m_xt_old.so m_xt_old.c -lxtables

%.yacc.c: %.y
	$(YACC) $(YACCFLAGS) -o $@ $<

%.lex.c: %.l
	$(LEX) $(LEXFLAGS) -o$@ $<

ifneq ($(SHARED_LIBS),y)

tc: static-syms.o
static-syms.o: static-syms.h
static-syms.h: $(wildcard *.c)
	files="$^" ; \
	for s in `grep -B 3 '\<dlsym' $$files | sed -n '/snprintf/{s:.*"\([^"]*\)".*:\1:;s:%s::;p}'` ; do \
		sed -n '/'$$s'[^ ]* =/{s:.* \([^ ]*'$$s'[^ ]*\) .*:extern char \1[] __attribute__((weak)); if (!strcmp(sym, "\1")) return \1;:;p}' $$files ; \
	done > $@

endif

## iproute 20110315

=== debian/changelog ===
iproute (20110315-1build1) oneiric; urgency=low

  * Rebuild for libdb5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 17:46:01 +0100

iproute (20110315-1) unstable; urgency=low

  * Imported Upstream version 2.6.38 (snapshot 20110315)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 07 Apr 2011 13:26:51 +0200

iproute (20110107-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 07 Feb 2011 11:10:01 +0100

iproute (20110107-1) experimental; urgency=low

  * Imported Upstream version 2.6.35 (snapshot 20100804)

    Changes since last release (2.6.34):

    Andreas Henriksson (1):
          tc: make symbols loaded from tc action modules global.

    Arnd Hannemann (1):
          iproute2: Add dsfield as alias for tos for ip rules

    Ben Greear (1):
          iproute2: Fix batch-mode for mrules.

    Jan Engelhardt (1):
          Add IFLA_STATS64 support

    Mike Frysinger (3):
          tc: revert "echo" in install target
          dnet: fix strict aliasing warnings
          netem: fix installs of dist files

    Patrick McHardy (1):
          ip: add support for multicast rules

    Petr Lautrbach (1):
          iproute: fix tc generating ipv6 priority filter

    Stephen Hemminger (5):
          Update kernel derived headers
          Update ARP header type table
          Fix NULL pointer reference when using basic match
          Fix byte order of ether address match for u32
          snapshot 100804

    Steve Fink (1):
          ss -p is much too slow

    Ulrich Weber (3):
          iproute2: filter routing entries based on clone flag
          iproute2: use get_user_hz() for IPv6 print_route
          iproute2: use int instead of long for RTAX_HOPLIMIT compare

  * debian/source/format: use 3.0 (quilt)
  * debian/patches: convert from dpatch to quilt style
  * debian/patches/*.diff: refresh and use DEP-3 description
  * debian/rules: drop dpatch usage.
  * debian/control: drop dpatch build dependency.
  * debian/README.source: replace with /usr/share/doc/quilt/README.source
    - could have been dropped since we only use dpkg standard features...

  * Update .gitignore
  * debian/patches/fix-ip-route-get.diff: fix failing route matching.
  * debian/copyright: Update download location
  * packaging: automatically unapply patches after build
  * packaging: ignore if stamp-build and stamp-doc doesn't exist on
    clean
  * packaging: clean up generated txt docs when cleaning unpatched
  * packaging: bump debhelper compatibility and dependency to v8
  * packaging: switch debian/rules to dh
  * debian/control: bump to policy 3.9.1
  * remove manual symlinking of manpages

  * Imported Upstream version 2.6.37 (snapshot 20110107)

    Changes since last release (2.6.35):

    Andreas Schwab (1):
          iproute2: remove useless use of buffer

    Ben Greear (2):
          iproute2: Fix filtering related to flushing IP addresses.
          Allow 'ip addr flush' to loop more than 10 times

    Changli Gao (1):
          iproute2: tc: f_flow: add key rxhash

    Dan Smith (1):
          Add ip route save/restore

    Eric Dumazet (2):
          ip: add RTA_MARK support
          iproute2: add 64bit support to ifstat

    Gerrit Renker (1):
          tc-red: typo in man page

    Gregoire Baron (1):
          tc: add ACT_CSUM action support (csum)

    Mike Frysinger (1):
          m_xt: stop using xtables_set_revision()

    Octavian Purdila (1):
          iproute2: initialize the ll_map only once

    Petr Sabata (3):
          ss(8) improvements by Jiri Popelka <jpopelka@redhat.com>
          ss: Change "do now" to "do not" in ss(8), -n option
          ip: Few typo and grammar errors fixes for ip(8) manpage

    Sridhar Samudrala (1):
          Support 'mode' parameter when creating macvtap device

    Stephen Hemminger (11):
          Snapshot for 2.6.35.1
          Update kernel headers to 2.6.36-rc2
          Use correct rt_link_statistics
          Fix GRED options clearing
          Update to 2.6.36 headers
          Workaround for repeated distclean
          Use standard routines for interface name to index etc
          Increase size of ifindex hash heads
          Cleanup ll_map
          Update to 2.6.37-rc8 headers
          v2.6.37

    Timo Teräs (2):
          iproute2: treat gre key as number
          iproute2: support xfrm upper protocol gre key

    Ulrich Weber (2):
          iproute2: dont filter cached routes on iproute_get
          iproute2: display xfrm socket policy direction

  * Revert "debian/patches/fix-ip-route-get.diff" - fixed upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Jan 2011 10:56:53 +0100

iproute (20100519-3) unstable; urgency=low

  [ Alexander Wirt ]
  * Add README.source 

  [ Andreas Henriksson ]
  * tc: make symbols loaded from tc action modules global. (Closes: #584898)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Jul 2010 12:02:39 +0200

iproute (20100519-2) unstable; urgency=low

  * Describe upstream changes between v2.6.33..v2.6.34 in debian
    changelog. (Closes: #582667)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 May 2010 11:22:20 +0200

iproute (20100519-1) unstable; urgency=low

  * New upstream release.
    + Detect 6rd kernel missing support / 6rd tunnel scope
    + iproute2: detect iptables modules dir in configure.
    + iproute2: add option to build m_xt as a tc module (v3)
    + fix build issues with flex ver 2.5
    + ip: document initcwnd
    + iproute2: rework SR-IOV VF support
    + Add 'ip tuntap' support.
    + iproute2: fix addrlabel interface names handling
    + tc: add new queue discipline: head drop fifo
    + xfrm: policy by mark
    + xfrm: Introduce xfrm by mark
    + xfrm: add support for SA by mark
    + ip: correctly report tunnel link type
    + Continue after errors in -batch
    + Update headers for 2.6.33-net-next
    + Fix line numbering on batch commands
    + Workaround missing ALIGN() macro


=== debian/control ===
Source: iproute
Section: net
Priority: optional
Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
Homepage: http://www.linux-foundation.org/en/Net:Iproute2
Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
Standards-Version: 3.9.1
Build-Depends: texlive-latex-base,
               texlive-latex-recommended,
               iptables-dev,
               libatm1-dev,
               libdb-dev,
               linuxdoc-tools,
               linux-libc-dev,
               debhelper (>= 8),
               lynx | lynx-cur,
               bison,
               flex

Package: iproute
Priority: important
Architecture: any
Provides: arpd
Conflicts: arpd
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libatm1
Suggests: iproute-doc
Description: networking and traffic control tools
 The iproute suite, also known as iproute2, is a collection of
 utilities for networking and traffic control.
 .
 These tools communicate with the Linux kernel via the (rt)netlink
 interface, providing advanced features not available through the
 legacy net-tools commands 'ifconfig' and 'route'.

Package: iproute-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: networking and traffic control tools - documentation
 The iproute suite, also known as iproute2, is a collection of
 utilities for networking and traffic control.
 .
 This package contains the documentation for iproute.

Package: iproute-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: networking and traffic control tools - development files
 The iproute suite, also known as iproute2, is a collection of
 utilities for networking and traffic control.
 .
 This package contains the header files and static libraries for
 compiling iproute extensions, and is needed only for development.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	make distclean
	-rm -f tc/q_wrr.o
	-rm -f doc/*.txt

override_dh_installexamples:
	dh_installexamples -p iproute-doc examples/*

override_dh_shlibdeps:
	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so


override_dh_auto_build:
	$(MAKE) -C doc all txt
	$(MAKE) KERNEL_INCLUDE=./include

## iproute 20111117

=== debian/changelog ===
iproute (20111117-1maemo1) fremantle; urgency=low

  * Backport package from Ubuntu 12.04 to Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Sun,  4 Jun 2012 01:42:57 +0100

iproute (20111117-1ubuntu2) precise; urgency=low

  * Add cross-building support (LP: #870197).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Apr 2012 01:06:40 +0100

iproute (20111117-1ubuntu1) precise; urgency=low

  * Mark iproute as Multi-Arch: foreign to allow for isc-dhcp-client
    to be installable with multi-arch (needed for armhf containers on x86)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Feb 2012 17:13:04 -0500

iproute (20111117-1) unstable; urgency=low

  * Imported Upstream version 3.1.0 (aka snapshot 20111117)
  * Update download location in debian/copyright
    - tarballs now available from kernel.org
  * Drop debian/patches/xt-v6.diff, fixed upstream.
  * Refresh patches: debian/patches/moo.diff and txtdocs.diff

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Nov 2011 22:15:38 +0100

iproute (20110629-1) unstable; urgency=low

  [ Alexander Wirt ]
  * Install ss to /bin instead of /sbin.

  [ Andreas Henriksson ]
  * Imported Upstream version 2.6.39 (aka snapshot 20110629)
    - tc filter: fix dport/sport in pretty print output (Closes: #627312)
  * Finally drop the patch adding the wrr qdisc scheduler to tc
  * Fix txtdocs patch to apply again
  * Add patch to build against xtables version 6

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 04 Jul 2011 17:29:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Pali Rohár <pali.rohar@gmail.com>
+XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
@@ -10,12 +11,13 @@
 Build-Depends: texlive-latex-base,
                texlive-latex-recommended,
                iptables-dev,
-               libatm1-dev,
+#               libatm1-dev,
                libdb-dev,
                linuxdoc-tools,
-               linux-libc-dev,
-               debhelper (>= 8),
-               lynx | lynx-cur,
+#               linux-libc-dev,
+#               debhelper (>= 8),
+               debhelper,
+#               lynx | lynx-cur,
                bison,
                flex
 
@@ -27,6 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libatm1
 Suggests: iproute-doc
+Multi-Arch: foreign
 Description: networking and traffic control tools
  The iproute suite, also known as iproute2, is a collection of
  utilities for networking and traffic control.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	make distclean
	-rm -f doc/*.txt

override_dh_installexamples:
	dh_installexamples -p iproute-doc examples/*

override_dh_shlibdeps:
	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so


override_dh_auto_configure:
	$(CROSS) dh_auto_configure

override_dh_auto_build:
	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)

## iproute 20120105

=== debian/changelog ===
iproute (20120105-1) unstable; urgency=low

  * Imported Upstream version 3.2 (aka snapshot 20120105)
    * better manual pages
    * L2TPv3 support
    * improved RED options
    * netem additions for loss models
    * iptables integration fixes
  * Don't install (outdated) RELNOTES, dropped upstream.
  * Refresh debian patches
  * Bump standards version
  * debian/patches/ipl2tp-avoid-libnl.diff:
    Add patch to avoid the need for libnl-dev build dependency

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 10 Jan 2012 12:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Pali Rohár <pali.rohar@gmail.com>
-XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
 Vcs-Git: git://git.debian.org/git/collab-maint/pkg-iproute.git
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: texlive-latex-base,
                texlive-latex-recommended,
                iptables-dev,
-#               libatm1-dev,
+               libatm1-dev,
                libdb-dev,
                linuxdoc-tools,
-#               linux-libc-dev,
-#               debhelper (>= 8),
-               debhelper,
-#               lynx | lynx-cur,
+               linux-libc-dev,
+               debhelper (>= 8),
+               lynx | lynx-cur,
                bison,
                flex
 
@@ -29,7 +27,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libatm1
 Suggests: iproute-doc
-Multi-Arch: foreign
 Description: networking and traffic control tools
  The iproute suite, also known as iproute2, is a collection of
  utilities for networking and traffic control.

## iproute 20120319

=== debian/changelog ===
iproute (20120319-1) unstable; urgency=low

  * Build-depend on pkg-config (Closes: #657062)
  * Imported Upstream version 3.3.0 (aka snapshot 20120319)
    This release includes, among other things, the following bug fixes:
    - C++ compatible netlink headers (Closes: #658903)
    - ip link sorted before l2tp (Closes: #656585)
    - Improved tuntap documentation (Closes: #629630)
    - Router advertisement decoding fix (Closes: #634170)
    - tc iec rates decoding fix (Closes: #662979)
    - Drop ip route monitor from help syntax and manpage (Closes: #537681)
  * Revert "Add patch to avoid the need for libnl-dev build dependency"
    - now included upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 20 Mar 2012 16:51:52 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                linux-libc-dev,
                debhelper (>= 8),
                lynx | lynx-cur,
+               pkg-config,
                bison,
                flex

## iproute 20120521

=== doc/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
 DVIFILES=$(subst .ps,.dvi,$(PSFILES))
+PDFFILES=$(subst .ps,.pdf,$(PSFILES))
 
 
 all: pstwocol
@@ -24,6 +25,8 @@
 html: $(HTMLFILES)
 
 dvi: $(DVIFILES)
+
+pdf: $(PDFFILES)
 
 print: $(PSFILES)
 	$(LPR) $(PSFILES)
@@ -41,6 +44,11 @@
 		echo "Re-running LaTeX $<, $${pass}d pass"; pass=$$[$$pass + 1]; \
 	done
 
+#%.pdf: %.tex
+#	pdflatex $<
+%.pdf: %.ps
+	ps2pdf $<
+
 %.ps: %.dvi
 	$(DVIPS) $< -o $@

=== netem/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 DISTDATA = normal.dist pareto.dist paretonormal.dist experimental.dist
 
 HOSTCC ?= $(CC)
+CCOPTS  = $(CBUILD_CFLAGS)
 LDLIBS += -lm 
 
 all: $(DISTGEN) $(DISTDATA)
@@ -19,9 +20,9 @@
 	$(HOSTCC) $(CCOPTS) -I../include -o $@ $@.c -lm
 
 install: all
-	mkdir -p $(DESTDIR)/usr/lib/tc
+	mkdir -p $(DESTDIR)$(LIBDIR)/tc
 	for i in $(DISTDATA); \
-	do install -m 755 $$i $(DESTDIR)/usr/lib/tc; \
+	do install -m 644 $$i $(DESTDIR)$(LIBDIR)/tc; \
 	done
 
 clean:

=== debian/changelog ===
iproute (20120521-3ubuntu1.1) quantal; urgency=low

  * Fix ip netns delete failures. (LP: #1238981)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Tue, 15 Oct 2013 14:50:24 -0500

iproute (20120521-3ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add cross-building support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jun 2012 14:47:02 +0100

iproute (20120521-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Mark iproute as Multi-Arch: foreign. (Closes: #676175)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 21 Jun 2012 12:33:31 +0200

iproute (20120521-2) unstable; urgency=low

  * Revert "Apply hardening build flags"
    - hardening simply breaks iproute2 in too many ways.
    (Closes: #674730, #674847) (Reopens: #672828)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 28 May 2012 12:31:29 +0200

iproute (20120521-1) unstable; urgency=low

  * Imported Upstream version 3.4 (aka snapshot 20120521)
    - trivial fix of ip link syntax in manpage (Closes: #673171)
  * Apply hardening build flags (Closes: #672828)
  * debian/iproute.manpages: fix path to manpages.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 May 2012 14:21:27 +0200

iproute (20120319-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Mark iproute as Multi-Arch: foreign.
    - Add cross-building support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 14:10:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
@@ -28,6 +29,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libatm1
 Suggests: iproute-doc
+Multi-Arch: foreign
 Description: networking and traffic control tools
  The iproute suite, also known as iproute2, is a collection of
  utilities for networking and traffic control.

=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,5 @@
 	$(CROSS) dh_auto_configure
 
 override_dh_auto_build:
+	$(MAKE) -C doc all txt
 	$(MAKE) KERNEL_INCLUDE=./include $(CROSS)

## iproute 20121211

=== debian/changelog ===
iproute (20121211-2) experimental; urgency=low

  [ Kamal Mostafa ]
  * Enable cross-compile support in debian/rules

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 12:29:03 +0100

iproute (20121211-1) experimental; urgency=low

  * Imported Upstream version 3.7.0 (aka. snapshot 20121211)
  * Revert "List interfaces without net address by default"
    - patch from upstream now part of latest release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 12 Dec 2012 11:59:52 +0100

iproute (20121001-2) experimental; urgency=low

  * Generate recommends for optional module dependencies
    This makes the optional module dependency on libxtables more
    visible, to hopefully get iproute rebuilt whenever libxtables
    bumps soname.
    Thanks to iptables maintainer for splitting libxtables9 into
    a separate package in version 1.4.16.3-2.
  * 0001-iproute2-List-interfaces-without-net-address-by-defa.patch:
    List interfaces without net address by default.
    This fixes regression in iproute2-3.5.1 when `ip addr show' skipped
    interfaces without network layer address.
    Patch from upstream (git 7f747fd9377b8538ad).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 Nov 2012 15:49:24 +0100

iproute (20121001-1) experimental; urgency=low

  * Imported Upstream version 3.6.0 (aka snapshot 20121001)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 02 Oct 2012 23:49:00 +0200

iproute (20120813-1) experimental; urgency=low

  * Add references to fixed bugs in changelog entry for 20120801-1
  * Fix download url in debian/copyright
  * Imported Upstream version 20120813

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 14 Aug 2012 17:11:20 +0200

iproute (20120801-1) experimental; urgency=low

  * Imported Upstream version 20120801 aka v3.5.0
    - includes new tc codel support (Closes: #675942)
    - support both del and delete in all cases (Closes: #673355)
    - manpage fixes from Bjarni Ingi Gislason (Closes: #674704, #674706)
  * debian/iproute.install: Install new bridge tool to /sbin

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 02 Aug 2012 02:03:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iproute
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
+Maintainer: Debian iproute maintainers <ah-iproute@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Alexander Wirt <formorer@debian.org>
 Homepage: http://www.linux-foundation.org/en/Net:Iproute2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pkg-iproute.git
@@ -27,7 +26,7 @@
 Provides: arpd
 Conflicts: arpd
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libatm1
+Recommends: ${ipmods:Recommends}
 Suggests: iproute-doc
 Multi-Arch: foreign
 Description: networking and traffic control tools

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -Xq_atm.so -Xm_xt.so -Xm_ipt.so
-
+	dh_shlibdeps -a -- -pipmods -dRecommends -e debian/iproute/usr/lib/tc/m_xt.so -e debian/iproute/usr/lib/tc/q_atm.so -xlibc6
 
 override_dh_auto_configure:
 	$(CROSS) dh_auto_configure
